org.apache.sling.crankstart.core.commands

## Class Configure

- java.lang.Object
- - org.apache.sling.crankstart.core.commands.Configure

All Implemented Interfaces:
  org.apache.sling.crankstart.api.CrankstartCommand

    public class Configure
    extends Object
    implements org.apache.sling.crankstart.api.CrankstartCommand

CrankstartCommand that creates OSGi configurations

### Field Summary

Fields
`static String` `CRANKSTART_CONFIG_ID` Config factory definitions can include this property to define a unique ID that avoids recreating them if the crankstart file runs several times.
`static String` `FACTORY_SUFFIX`
`static String` `FELIX_FORMAT_SUFFIX`
`static String` `I_CONFIGURE`

### Constructor Summary

Constructors
Constructor and Description
`Configure()`

### Method Summary

Methods
`boolean` `appliesTo(org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)`
`void` `execute(org.apache.sling.crankstart.api.CrankstartContext crankstartContext, org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)`
`String` `getDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### I_CONFIGURE

    public static final String I_CONFIGURE

See Also:
  Constant Field Values

#### FACTORY_SUFFIX

    public static final String FACTORY_SUFFIX

See Also:
  Constant Field Values

#### FELIX_FORMAT_SUFFIX

    public static final String FELIX_FORMAT_SUFFIX

See Also:
  Constant Field Values

#### CRANKSTART_CONFIG_ID

    public static final String CRANKSTART_CONFIG_ID

Config factory definitions can include this property to define a unique ID that avoids recreating them if the crankstart file runs several times.

See Also:
  Constant Field Values

### Constructor Detail

#### Configure

    public Configure()

### Method Detail

#### appliesTo

    public boolean appliesTo(org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)

Specified by:
  `appliesTo` in interface `org.apache.sling.crankstart.api.CrankstartCommand`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `org.apache.sling.crankstart.api.CrankstartCommand`

#### execute

    public void execute(org.apache.sling.crankstart.api.CrankstartContext crankstartContext,
               org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)
                 throws Exception

Specified by:
  `execute` in interface `org.apache.sling.crankstart.api.CrankstartCommand`
Throws:
  `Exception`